package cn.iocoder.yudao.module.member.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

/**
 * Member 错误码枚举类
 * member 系统，使用 1-004-000-000 段
 * @author Administrator
 */
public interface ErrorCodeConstants {
    /**** 用户相关  1004001000 ****/
    ErrorCode USER_NOT_EXISTS = new ErrorCode(1004001000, "member.user.not.exist");

    ErrorCode USER_PASSWORD_FAILED = new ErrorCode(1004001001, "member.user.pass.verify.failed");

    /**** AUTH 模块 1004003000 ****/
    ErrorCode AUTH_LOGIN_BAD_CREDENTIALS = new ErrorCode(1004003000, "member.auth.login.bad");
    ErrorCode AUTH_LOGIN_USER_DISABLED = new ErrorCode(1004003001, "member.auth.login.account.disable");
    ErrorCode AUTH_LOGIN_FAIL_UNKNOWN = new ErrorCode(1004003002, "member.auth.login.unknown");
    ErrorCode AUTH_TOKEN_EXPIRED = new ErrorCode(1004003004, "member.auth.login.token.expired");
    ErrorCode AUTH_THIRD_LOGIN_NOT_BIND = new ErrorCode(1004003005, "member.auth.third.not.bind");

    ErrorCode MEMBER_USER_MOBILE_EXIST = new ErrorCode(1004003006, "member.user.mobile.exist");


    ErrorCode USER_CARD_AUTH_NOT_EXISTS = new ErrorCode(1004004001, "用户身份证认证不存在");
    ErrorCode USER_CARD_AUTH_EXISTS = new ErrorCode(1004004002, "用户认证审核中，请耐心等待审核结果");
    ErrorCode USER_ENTERPRISE_AUTH_NOT_EXISTS = new ErrorCode(1004004003, "用户企业认证不存在");
    ErrorCode USER_ENTERPRISE_AUTH_EXISTS = new ErrorCode(1004004004, "用户企业认证审核中，请耐心等待审核结果");


    ErrorCode CODE_ERROR = new ErrorCode(1004004005, "验证码错误");
    ErrorCode CODE_NOT_NULL = new ErrorCode(1004004006, "code.not.null");

    ErrorCode USER_OPERATION_LOG_NOT_EXISTS = new ErrorCode(1004007001, "用户操作日志不存在");

    ErrorCode USER_ENTERPRISE_NOT_EXISTS = new ErrorCode(1004007002, "会员公司信息不存在");

    ErrorCode USER_EMAIL_ALREADY_EXISTS = new ErrorCode(1004007003, "邮箱已存在");

    ErrorCode EMAIL_CODE_ERROR = new ErrorCode(1004007004, "验证码错误");

    ErrorCode MEMBER_ID_IS_NULL = new ErrorCode(1004008001, "member.id.is.null");

    ErrorCode SCORE_COUNT_ERROR = new ErrorCode(1004008002, "score.count.error");

    ErrorCode MEMBER_SCORE_NOT_ENOUGH = new ErrorCode(1004008003, "member.score.not.enough");
    ErrorCode REVERSE_SOURCE_NO_RELEATION_ID = new ErrorCode(1004008004, "reverse.source.no.releation.id");
    ErrorCode LEVEL_BOUND_RANGE_ERROR = new ErrorCode(1004008005, "level.bound.range.error");
    ErrorCode LEVEL_BOUND_RANGE_CONFLICT = new ErrorCode(1004008006, "level.bound.range.conflict");
    ErrorCode SOURCE_TYPE_IS_NULL = new ErrorCode(1004008007, "source.type.is.null");
    ErrorCode SCORE_OPERATE_MUST_HAVE_UNIQUE_ID = new ErrorCode(1004008008, "score.operate.must.have.unique.id");
    ErrorCode SCORE_OPERATE_IDEMPOTENT_ERROR = new ErrorCode(1004008009, "score.operate.idempotent.error");

    ErrorCode SCORE_RULE_NOT_EXISTS = new ErrorCode(1004008010, "score.rule.not.exists");
    ErrorCode SCORE_RULE_DELETE_ERROR = new ErrorCode(1004008011, "score.rule.delete.error");
    ErrorCode SCORE_RULE_UPDATE_ERROR = new ErrorCode(1004008012, "score.rule.update.error");
    ErrorCode SCORE_RULE_STATUS_ERROR = new ErrorCode(1004008014, "score.rule.status.error");
    ErrorCode SCORE_RULE_STATUS_NOT_ENABLE = new ErrorCode(1004008015, "score.rule.status.not.enable");
    ErrorCode SCORE_RULE_UNIQUE_CHECK_ERROR = new ErrorCode(1004008016, "score.rule.unique.check.error");
    ErrorCode SCORE_RULE_TRANSPORT_TYPE_ERROR = new ErrorCode(1004008017, "score.rule.transport.type.error");
    ErrorCode SCORE_RULE_TIME_ERROR = new ErrorCode(1004008018, "score.rule.time.error");
    ErrorCode SCORE_RULE_PERIOD_ERROR = new ErrorCode(1004008019, "score.rule.period.error");
    ErrorCode ORDERV_SCORE_RULE_ERROR = new ErrorCode(1004008020, "orderv.score.rule.error");
    ErrorCode SCORE_RULE_SHARE_STATUS_ERROR = new ErrorCode(1004008021, "score.rule.share.status.error");
    ErrorCode SCORE_RULE_EXTRA_ERROR = new ErrorCode(1004008022, "score.rule.extra.error");
    ErrorCode SCORE_RULE_RECEIVE_ADDRESS_ERROR = new ErrorCode(1004008023, "score.rule.receive.address.error");
    ErrorCode SCORE_RULE_ORDERENTRY_ERROR = new ErrorCode(1004008024, "score.rule.orderentry.error");
    ErrorCode SCORE_RULE_FIRST_ORDER_ERROR = new ErrorCode(1004008025, "score.rule.first.order.error");

    ErrorCode USER_ADDRESS_NOT_EXISTS = new ErrorCode(1004008026, "user.address.not.exists");
    ErrorCode USER_ADDRESS_FIELD_ERROR = new ErrorCode(1004008027, "user.address.field.error");
    ErrorCode SCORE_RULE_CUSTOMERSIDE_ERROR = new ErrorCode(1004008028, "score.rule.customer.side.error");
    ErrorCode LEVEL_RULE_NOT_EXISTS = new ErrorCode(1004008028, "level.rule.not.exists");
}
